GET /v2.0/data/publications
neotomadb.org:neotoma-database-api
Operation ID: —
Auth: unknown
Description
Returns information about Neotoma publications
Parameters (9)
(integer, query, optional)
Valid Neotoma dataset identifier (integer), either singly or in a comma separated list.
Constraints: {'minimum': 0}
(string, query, optional)
Family name (last name) of the the researcher (may use the % wildcard).
Constraints: {'pattern': "^[-'a-zA-ZÀ-ÖØ-öø-ÿ% ]+$"}
(integer, query, optional, default: 25)
The maximum number of records to be returned, default is 25.
Constraints: {'minimum': 1, 'maximum': 10000}
(integer, query, optional, default: 0)
The offset for returned records when a limit is present. Default is 0.
Constraints: {'minimum': 0}
(integer, query, optional)
Unique publication identifier (from the Neotoma publication table).
Constraints: {'minimum': 0, 'maximum': 20000}
(string, query, optional)
The type of publication requested.
Constraints: {'enum': ['Legacy', 'Journal Article', 'Book Chapter', 'Authored Book', 'Edited Book', "Master's Thesis", 'Doctoral Dissertation', 'Authored Report', 'Edited Report', 'Other Authored', 'Other Edited', 'Website', 'Undergraduate thesis']}
(string, query, optional)
A fulltext search string. Either a literal portion of the article name, or keywords.
(integer, query, optional)
Valid Neotoma site identifier (integer), either singly or in a comma separated list.
Constraints: {'minimum': 1, 'maximum': 50000}
(integer, query, optional)
The year of publication, either as a single value or comma separated string.
Constraints: {'minimum': 1500, 'maximum': 2100}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search publications by author family name | curl |
https://api.neotomadb.org/v2.0/data/publications?familyname=Smith&limit=10 |
|
| Search publications by publication year | curl |
https://api.neotomadb.org/v2.0/data/publications?year=2020&limit=25 |
|
| Full-text search for climate-related publications | curl |
https://api.neotomadb.org/v2.0/data/publications?search=climate&limit=15 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:22:06.630499 | 200 | 3928ms | |
| 2026-03-23 09:16:59.372101 | 200 | 724ms | |
| 2026-03-23 09:08:28.894330 | 200 | 547ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:16:59.372101 | 231adb86264e |
8c84291abfb9 |
| 2026-03-23 10:22:06.630499 | 8c84291abfb9 |
d0d7f3d82d69 |